<?php
class eventclass_pago_dp  extends TableEventsBase {
	
	function init() {
		$this->events = array(
			'BeforeAdd' => true,
			'BeforeEdit' => true,
			'OnPageLoad' => true,
			'BeforeShowList' => true 
		);
		$this->fieldValues = array(
			'filterLimit' => array(
				 
			),
			'mapIcon' => array(
				 
			),
			'viewCustom' => array(
				 
			),
			'lookupWhere' => array(
				 
			),
			'viewFileText' => array(
				 
			),
			'defaultValue' => array(
				'fecha_Pago' => array(
					'edit' => true 
				),
				'responsable' => array(
					'edit' => true 
				),
				'fecha_creacion' => array(
					'edit' => true 
				) 
			),
			'autoUpdateValue' => array(
				'fecha_Pago' => array(
					'edit' => true 
				),
				'responsable' => array(
					'edit' => true 
				),
				'fecha_creacion' => array(
					'edit' => true 
				) 
			),
			'uploadFolder' => array(
				'respaldo' => true 
			),
			'viewPluginInit' => array(
				 
			),
			'editPluginInit' => array(
				 
			) 
		);
			}
		function BeforeAdd( &$values, &$sqlValues, &$message, $inline, $pageObject ) {
			$values["total_bs"] = $values["utilidad_gestion"] * $values["nro_Acciones"];
	
	require __DIR__ . '/../app/number/convert.php';
	
	
	return true;
			;
			return true;
		}
	
		function BeforeEdit( &$values, &$sqlValues, $where, &$oldvalues, &$keys, &$message, $inline, $pageObject ) {
			$values["total_bs"] = $values["utilidad_gestion"] * $values["nro_Acciones"];
	
	require __DIR__ . '/../app/number/convert.php';
	
	
	return true;
			;
			return true;
		}
	
		function BeforeShowList( &$xt, &$templatefile, $pageObject ) {
			  
	
	 $pageObject->hideItem("grid_edit", $recordId); 
			;
			
		}
	public function default_fecha_Pago_efedit(  ) {
		$defaultValue = now();
		return $defaultValue;
	}
	
	public function autoupdate_fecha_Pago_efedit(  ) {
		$defaultValue = now();
		return $defaultValue;
	}
	
	public function folder_respaldo( $file ) {
		$folder = ""
		;$folder = "files/pago";
		;
		return $folder;
	}
	
	public function default_responsable_efedit(  ) {
		$defaultValue = $_SESSION['user_id'];
		return $defaultValue;
	}
	
	public function autoupdate_responsable_efedit(  ) {
		$defaultValue = $_SESSION['user_id'];
		return $defaultValue;
	}
	
	public function default_fecha_creacion_efedit(  ) {
		$defaultValue = now();
		return $defaultValue;
	}
	
	public function autoupdate_fecha_creacion_efedit(  ) {
		$defaultValue = now();
		return $defaultValue;
	}	

}


?>